Skip to main content
`Ctrl`+`K`
scipy.spatial.transform.Rotation.

# create_group

classmethod Rotation.create_group(cls, group, axis='Z')

  Create a 3D rotation group.

  Parameters:
    group string

      The name of the group. Must be one of ‘I’, ‘O’, ‘T’, ‘Dn’, ‘Cn’, where n is a positive integer. The groups are:

      > - I: Icosahedral group

      > - O: Octahedral group

      > - T: Tetrahedral group

      > - D: Dicyclic group

      > - C: Cyclic group

    axis integer

      The cyclic rotation axis. Must be one of [‘X’, ‘Y’, ‘Z’] (or lowercase). Default is ‘Z’. Ignored for groups ‘I’, ‘O’, and ‘T’.

  Returns:
    rotation `Rotation` instance

      Object containing the elements of the rotation group.

  Notes

  This method generates rotation groups only. The full 3-dimensional point groups [PointGroups] also contain reflections.

  References

  [PointGroups]

  Point groups on Wikipedia.